Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.zhbevx

scipy.linalg.lapack.zhbevx(ab, vl, vu, il, iu[, ldab, compute_v, range, lower, abstol, mmax, overwrite_ab]) = <fortran function zhbevx>

  Wrapper for `zhbevx`.

  Parameters:
    ab input rank-2 array(‘D’) with bounds (ldab,n)
    vl input float
    vu input float
    il input int
    iu input int
  Returns:
    w rank-1 array(‘d’) with bounds (n)
    z rank-2 array(‘D’) with bounds (ldz,mmax)
    m int
    ifail rank-1 array(‘i’) with bounds ((compute_v?n:1))
    info int
  Other Parameters:
    overwrite_ab input int, optional

      Default: 1

    ldab input int, optional

      Default: shape(ab,0)

    compute_v input int, optional

      Default: 1

    range input int, optional

      Default: 0

    lower input int, optional

      Default: 0

    abstol input float, optional

      Default: 0.0

    mmax input int, optional

      Default: (compute_v?(range==2?(iu-il+1):n):1)